Subject: bug#13599: 24.2; (max-char) is too low (and hard to change)

From: Magnar Sveen <[email-masked]>
Date: Fri, 1 Feb 2013 07:13:50 +0100

On Thu, Jan 31, 2013 at 9:20 PM, Eli Zaretskii <[email-masked]> wrote:

> keyboard-translate doesn't support keys with modifiers.  Use
> global-set-key instead, after defining a function that inserts the [
> character.
>

Yes, I've been using

    (define-key key-translation-map (kbd "s-8") (kbd "["))

It works in most cases. But unfortunately read-char does not care about
this translation, leaving lots of functions broken. That lead me to
keyboard-translate, then here.

- Magnar